# Method: locations.placeActionLinks.list

- [HTTP request](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.ListPlaceActionLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/list#body.aspect)

Lists the place action links for the specified location.

### HTTP request

`GET https://mybusinessplaceactions.googleapis.com/v1/{parent=locations/*}/placeActionLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the location whose place action links will be listed. `locations/{locationId}`. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. A filter constraining the place action links to return. The response includes entries that match the filter. We support only the following filter: 1. placeActionType=XYZ where XYZ is a valid PlaceActionType. |
| `pageSize` | `integer` Optional. How many place action links to return per page. Default of 10. The minimum is 1. |
| `pageToken` | `string` Optional. If specified, returns the next page of place action links. |

### Request body

The request body must be empty.

### Response body

Response message for PlaceActions.ListPlaceActionLinks.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "placeActionLinks": [ { object (`https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `placeActionLinks[]` | ``object (`https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`)`` The returned list of place action links. |
| `nextPageToken` | `string` If there are more place action links than the requested page size, then this field is populated with a token to fetch the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).